apiVersion: serving.kubeflow.org/v1beta1
kind: InferenceService
metadata:
  name: httpsource-model
  namespace: ntsvetko
spec:
  predictor:
    serviceAccountName: kfserving-sa
    sklearn:
      name: kfserving-container
      storageUri: s3://admon-is/httpsource-model/1/
      image: gitlab-registry.cern.ch/admon/kfserving/sklearn:stable
      protocolVersion: "v1"
  transformer:
    containers:
      - image: gitlab-registry.cern.ch/admon/kfserving/httpsource-model:latest
        name: kfserving-container
---
apiVersion: v1
kind: ServiceAccount
secrets:
  - name: kfserving-s3-secret
metadata:
  name: kfserving-sa
  namespace: ntsvetko
---
apiVersion: v1
kind: Secret
type: Opaque
stringData:
  AWS_ACCESS_KEY_ID: -
  AWS_SECRET_ACCESS_KEY: -
metadata:
  name: kfserving-s3-secret
  namespace: ntsvetko
  annotations:
    serving.kubeflow.org/s3-endpoint: "s3.cern.ch"
    serving.kubeflow.org/s3-usehttps: "1"
